Skip to main content

[RISC-V] [HW-Designer] Which versions of the RISC-V debug specification are supported? - Knowledgebase / FAQs by core architecture / RISC-V - Lauterbach Support

[RISC-V] [HW-Designer] Which versions of the RISC-V debug specification are supported?

The Lauterbach RISC-V debugger does support designs based on the official RISC-V debug specification.
The first officially ratified debug spec version was version v0.13, which is why our debugger supports all v0.13.x versions and any versions after that (v0.14, v1.0, ...). However, any unofficial draft versions before the first ratified v0.13 (such as v0.11) are not supported.

Also be aware that conformity of RISC-V hardware with the official RISC-V debug specification is not the only criterion for seamless compatibility with Lauterbach tools. The hardware should also meet the requirements that are listed in the "RISC-V Debugger" KB category, in all questions that have the prefix "[HW-Designer]" or label  "[Hardware Designer]". To find these questions, you can search "https://support.lauterbach.com/search?q=RISC-V+hardware+designer".

Helpful Unhelpful